/*
** EPITECH PROJECT, 2019
** GGJ_2019
** File description:
** data.hpp
*/

#ifndef DATA_HPP_
#define DATA_HPP_

#include <SFML/Graphics.hpp>
#include <SFML/Audio.hpp>

class Data {
public:
    Data(void);
    void load_panel(GamePanel& panel);
    void display(void);
    void get_input(void);
    sf::RenderWindow& get_window(void);
    sf::Font get_font(void);
private:
    sf::Sprite m_sprite;
    sf::Font m_font;
    sf::Music m_music;
    sf::RenderWindow m_window;
    GamePanel *m_panel;
};

#endif
